C#
// POST /v1/magic_links/email/revoke_invite
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
};
client.MagicLinks.Email.RevokeInvite(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/magic_links/email/revoke_invite
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/magiclinks/email"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &email.RevokeInviteParams{
Email: "sandbox@stytch.com",
}
resp, err := client.MagicLinks.Email.RevokeInvite(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/magic_links/email/revoke_invite
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.magiclinksemail.RevokeInviteRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
RevokeInviteRequest params = new RevokeInviteRequest();
params.setEmail("sandbox@stytch.com");
Object result = StytchClient.getMagicLinks().getEmail().revokeInvite(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/magic_links/email/revoke_invite
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.magiclinksemail.RevokeInviteRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.magicLinks.email.revokeInvite(
RevokeInviteRequest(
email = "sandbox@stytch.com",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/magic_links/email/revoke_invite
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
};
client.magicLinks.email.revokeInvite(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->magic_links->email->revoke_invite([
'email' => 'sandbox@stytch.com',
]);# POST /v1/magic_links/email/revoke_invite
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.magic_links.email.revoke_invite(
email="sandbox@stytch.com",
)
print(resp)
# frozen_string_literal: true
# POST /v1/magic_links/email/revoke_invite
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.magic_links.email.revoke_invite(
email: "sandbox@stytch.com"
)
puts resp// POST /v1/magic_links/email/revoke_invite
use stytch::consumer::client::Client;
use stytch::consumer::magic_links_email::RevokeInviteRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.magic_links.email.revoke_invite(
RevokeInviteRequest{
email: "sandbox@stytch.com",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/magic_links/email/revoke_invite
curl --request POST \
--url https://test.stytch.com/v1/magic_links/email/revoke_invite \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"email": "sandbox@stytch.com"
}'{
"request_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Via Email
Revoke Pending Invite
Revoke a pending invite by email address.
POST
/
v1
/
magic_links
/
email
/
revoke_invite
C#
// POST /v1/magic_links/email/revoke_invite
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
};
client.MagicLinks.Email.RevokeInvite(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// POST /v1/magic_links/email/revoke_invite
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/magiclinks/email"
"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi"
)
func main() {
client, err := stytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &email.RevokeInviteParams{
Email: "sandbox@stytch.com",
}
resp, err := client.MagicLinks.Email.RevokeInvite(context.Background(), params)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// POST /v1/magic_links/email/revoke_invite
package com.example;
import com.stytch.java.common.StytchResult;
import com.stytch.java.consumer.models.magiclinksemail.RevokeInviteRequest;
import com.stytch.java.consumer.StytchClient;
public class Main {
public static void main(String[] args) {
StytchClient.configure("${projectId}", "${secret}");
RevokeInviteRequest params = new RevokeInviteRequest();
params.setEmail("sandbox@stytch.com");
Object result = StytchClient.getMagicLinks().getEmail().revokeInvite(params);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// POST /v1/magic_links/email/revoke_invite
package com.example
import com.stytch.java.consumer.StytchClient
import com.stytch.java.consumer.models.magiclinksemail.RevokeInviteRequest
fun main() {
StytchClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchClient.magicLinks.email.revokeInvite(
RevokeInviteRequest(
email = "sandbox@stytch.com",
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// POST /v1/magic_links/email/revoke_invite
const stytch = require('stytch');
const client = new stytch.Client({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
email: "sandbox@stytch.com",
};
client.magicLinks.email.revokeInvite(params)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->magic_links->email->revoke_invite([
'email' => 'sandbox@stytch.com',
]);# POST /v1/magic_links/email/revoke_invite
from stytch import Client
client = Client(
project_id="${projectId}",
secret="${secret}",
)
resp = client.magic_links.email.revoke_invite(
email="sandbox@stytch.com",
)
print(resp)
# frozen_string_literal: true
# POST /v1/magic_links/email/revoke_invite
require 'stytch'
client = Stytch::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.magic_links.email.revoke_invite(
email: "sandbox@stytch.com"
)
puts resp// POST /v1/magic_links/email/revoke_invite
use stytch::consumer::client::Client;
use stytch::consumer::magic_links_email::RevokeInviteRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.magic_links.email.revoke_invite(
RevokeInviteRequest{
email: "sandbox@stytch.com",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# POST /v1/magic_links/email/revoke_invite
curl --request POST \
--url https://test.stytch.com/v1/magic_links/email/revoke_invite \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-d '{
"email": "sandbox@stytch.com"
}'{
"request_id": "<string>",
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Request type
The email of the user.
Response
Successful response
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.
The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.
⌘I